package com.ruoyi.web.work.mapper;

import java.util.List;

import com.ruoyi.web.work.domain.Request;
import com.ruoyi.web.work.domain.Result;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * @author lsw
 * @date 2024-07-23
 */
public interface ResultMapper extends BaseMapper<Result> {
    List<Result> selectList(Result result);

    List<Result> getResultByCard(String card);

    List<Result> getAllResultByPatId(Long patId);

    List<Result> selectResultByObrId(String obrId);
}
